Wondering what’s next for npm?Check out our public roadmap! »

    object.entries-ponyfill

    1.0.1 • Public • Published

    object.entries-ponyfill

    Object.entries() ponyfill

    The implementation is the same as es-shims/Object.entries, except ES3 is not supported, therefore making this package 600 bytes rather than 28000 bytes.

    built-in

    You should polyfill your targeted browser environments automatically with polyfill.io, rather than using a non-tailored approach like this ponyfill. Node >= 7 has Object.entries natively. You probably only need this ponyfill if your targeted environment is Node and is version < 7.

    install

    $ npm install object.entries-ponyfill

    example

    const entries = require('object.entries-ponyfill')
     
    entries({ foo: 123, bar: 456 })
    // => [ [ 'foo', 123 ], [ 'bar', 456 ] ]

    Install

    npm i object.entries-ponyfill

    DownloadsWeekly Downloads

    37,094

    Version

    1.0.1

    License

    none

    Last publish

    Collaborators

    • avatar